"use strict";

/* globals describe, it */

const chai = require('chai');
const dirty_chai = require('dirty-chai');
const expect = chai.expect;
const rewire = require('rewire');

chai.use(dirty_chai);

const deployLambda = rewire('../index.js');

describe('deploy-lambda', function(){
    it('should zip the index.js file', function(done){
        deployLambda('./test/lambdas/index', (err, result) => {
            expect(err).to.not.be.ok();
            expect(result).to.be.an('object');
            done();
        });
    });
});